
// Funkcja nadrzędna
function Tabs (active,inactive) {
   current=0;
   tab = new Array();
   panels = new Array();
   activeColor = active;
   inactiveColor = inactive;

   // Dodaje zakładkę
   this.addTab = function (tabItem) {
                          var index = tab.length;
                          tab[index] = tabItem;
                          aaManageEvent(tabItem,"click",function() {
                                 tabs.showPanel(index);});
                          };

   // Dodaje panel
   this.addPanel = function (panel) {
                          panels[panels.length] = panel;
                         };

   // Wyświetla kliknięty panel i ukrywa poprzedni
   this.showPanel = function (index) {
                     panels[current].style.display='none';
                     tab[current].style.backgroundColor=inactiveColor;
                     tab[index].style.backgroundColor=activeColor;
                     panels[index].style.display='block';
                     current = index;
                     };
   }


// Ustawia zakładki i odpowiadające im panele przy założeniu, 
// że indeksy powiązanych elementów są takie same
function setUpTabs() {
   var divs = document.getElementsByTagName('div');
   var tabCount = 0;
   for (var i = 0; i < divs.length; i++) {
       if (divs[i].className == 'name') {
             tabs.addTab(divs[i]);
        } else if (divs[i].className == 'content') {
             tabs.addPanel(divs[i]);
             divs[i].style.display = 'none';
            
       }
   }
   tabs.showPanel(0);
}


